Tag Archiv: ppa

Чат Skype для Pidgin в Ubuntu / Debian. Теперь без необходимости установки Skype.

С момента передачи Skype в руки Microsoft ситуация для этого мессенджера в Linux существенно не улучшилась. Появившаяся вскоре после приобретения ветка 4.х давала надежду на дальнейшее развитие, но на ней все и замерло. Судя по всему, функциональность Linux-версии намеренно ограничивается. (Недавнее публичное обращение  к Microsoft тому подтверждение).

При этом с  появлением версии 4.х  появились проблемы с приложениями, использующими  SkypeAPI. А старая «теплая ламповая» версия 2.2 работать постепенно перестала.

Небольшое отступление для тех, кто не использовал раньше Skype-плагин к Pidgin: необходим был запущенный в фоне  Skype, к которому коннектился плагин. (Не говоря уже о том, что не каждый пользователь согласится устанавливать себе на компьютер приложение с закрытым кодом). К сожалению, работа с версией 4.х не отличалась стабильность. Сообщения иногда не отображались, Pidgin периодически «вылетал». Это побудило постепенно минимизировать использование Skype. К сожалению, для многих (в т.ч. публичных / деловых контактов) Skype так и остается единственным известным им интернет-мессенджером, что не позволяло отказаться от него полностью. Эпизодическому использованию помогала браузерная версия web.skype.com, однако удобным такой способ назвать было сложно.

(more…)

Whatsapp в Ubuntu Linux: регистрация и использование

WhatsApp-logoWhatsapp — один из мессендеров, для которых не существует десктоп-версий. Это вызывает неудобства, если вы привыкли к переписке за компьютером.

К счастью, существует возможность использовать аккаунт Whatsapp при помощи популярного мультипротокольного клиента мгновенных сообщений Pidgin c применением стороннего плагина.

(more…)

Обновление LibreOffice до ветки 4.х в Ubuntu 12.10

Снимок экрана - 08.03.2013 - 14:31:02

Прошел уже месяц с момента анонса новой ветки LibreOffice 4.0. Список обновлений есть на сайте, поэтому я не буду на нем останавливаться.

За это время были выпущены корректирующие релизы, поэтому пришло время обновить офисный пакет.

(more…)

Установка файлового менеджера Thunar 1.6.0 в Xubuntu 12.10 и 12.04

Сегодня вышло обновление файлового менеджера среды XFCE — Thunar 1.6.0. Среди новых самых важный особенностей, пожалуй, можно назвать появление вкладок, отображение скорости записи при копировании и проверку свободного места на носители перед копированием.
(more…)

Первые впечатления от VLC 2.0 "Twoflower"

Сегодня множество новостных сайтов объявили  о выпуске компанией  VideoLAN новой ветки популярного медиапроигрывателя VLC 2.x.
Среди новшеств заявлены полностью переработанные и доработанные различные модули, улучшенная поддержка многопоточности и GPU, новые видеофильтры и многое другое.
Полный перечень этих новшеств доступен в новостях и на официальном сайте, а меня же в первую очередь заинтересовало, что изменилось на практике. 

Для установки VLC 2.0.1 (последняя доступная версия) добавим следующий PPA (если у вас его еще не было)
sudo add-apt-repository ppa:videolan/stable-daily

 и выполним

sudo apt-get update && sudo apt-get install vlc

 Обратите внимание, что простого sudo apt-get upgrade в данном случае будет недостаточно.

С первого взгляда изменений и не заметно:

и о том, что это новая версия, нам напоминает окно «О программе»

Побродив по меню и настройкам, мы все же заметим изменения. Так, например, для воспроизведения файла с внешней звуковой дорожкой, вместо пункта «Воспроизвести файл с параметрами…» нам теперь необходимо выбирать «Открыть источник…».

К сожалению, сразу в глаза бросилася пара ухудшений:

1) к моему удивлению, оказалось, что на часть горячих клавиш проигрыватель просто перестал реагировать, при этом они остались назначенными, могут быть установлены заново, однако проигрыватель их «не замечает». Для меня это существенный недостаток, поскольку я привык  использовать пульт дистанционного управления для PC не через lirc, а эмулируя клавиатуру (эта проблема устранена в версии 2.1, но об этом ниже);
2) при отключенном режиме «Ускоренный вывод видео (оверлей)» (overlay) и режимах вывода «по умолчанию» / «OpenGL» наблюдаются проблемы с выводом меню и диалоговых окон поверх видео: они просто не прорисовываются до конца, изредка мерцая сквозь видео. Т.е. что-то сделать в настройках или даже открыть другой файл будет проблематично. 
Я частично решил эту проблему («частично», т.к. в ущерб производительности), установив режим вывода «X11».

Однако, стоит заметить, что если у вас нет причины отключать режим «Ускоренный вывод видео», то вас эта проблема коснуться не должна.

Приятным нововведением оказался выбор аудиоустройства непосредственно в меню плеера:

Теперь поговорим собственно про воспроизведение видео:
AVI (ASP)
 
При воспроизведении обычных видео в формате avi (закодированных xvid/divx) изменений никаких обнаружено не было. Это и неудивительно: улучшить или добавить что-то здесь уже сложно — всё есть и так. 
MKV, MP4 и прочее (одним словом — AVC)
Здесь как раз заметны приятные новшества. Первое, и пожалуй, главное: теперь при перемещении по полосе прокрутки видео прорисовывается правильно, а не «рассыпается», как раньше, до первого ключевого кадра. 
И второе: если в mkv файле присутствует навигация по главам, то они теперь схематически отображаются под полосок прокрутки в соответствии со своими тайм-кодами
DVD
При воспроизведении DVD-Video заметен ряд улучшений в прорисовке меню (подсветка), и соответственно, удобства попадания мышью по элементам меню.
Улучшение заметно на примере ниже:
VLC 1.x
VLC 2.x
Blu-Ray
Разработчиками заявлена улучшенная поддержка Blu-Ray дисков, однако пока внешне это мало заметно. Воспроизводить Blu-Ray без меню умела и ветка 1.х, в  2.0 поддержка меню не появилась, хотя, по заявлениям разработчиков, это временно. Следует отметить, что открывать сразу iso с Blu-Ray (в отличие от формата DVD-Video) плеер также пока не умеет. 
Хочется надеяться, что ситуация улучшиться в скором будущем.
Другие форматы
К сожалению, те форматы, которые у меня не воспроизводились в VLC 1.x, не воспроизводятся и в версии 2.0. Речь идет о некоторых видеофайлах в контейнере TS (которые нормально воспроизводит mplayer) и о студийном видео в формате MOV (c битрейтом видео 94.5 Mbps).
Подводя итоги
В целом дальнейшее развитие отличного медиаплеера не может не радовать, даже не смотря на ряд некоторых недочетов. Хочется надеяться, что они будут исправлены в ближайшее время (например, проблема с Горячими клавишами уже устранена в тестовой ветке), а разработчики будут и в дальнейшем нас радовать новыми и доработанными возможностями.
Вместо P.S.
Если вы хотите «держать руку на пульсе», то вы можете использовать тестовую ветку плеера VLC 2.1. Для этого добавьте  ppa с testing-веткой:
 sudo add-apt-repository ppa:videolan/master-daily 

ну и, конечно, обновите список пакетов

sudo apt-get update && sudo apt-get upgrade

Обновление Xubuntu (Ubuntu) до версии 11.10 beta 2 Oneiric Ocelot

 Иллюстрация с сайта depotlinux.wordpress.com
Как и в прошлый раз, я, не дожидаясь выхода окончательного релиза очередной версии Ubuntu, решил  протестировать Ubuntu 11.10 beta 2. Но в этот раз я воспользовался обновлением, а не установкой системы с нуля. (Как проходило обновление до версии 11.04 вы можете вспомнить здесь.
В сети уже имеется определенное число обзоров изменений в Ubuntu c интерфейсом по умолчанию (Unity), поэтому, учитывая, что являюсь поклонником XFCE, я сосредоточу своё внимание на изменениях, которые я заметил в Xubuntu.
Для тех, кто еще не знает, как инициировать обновление, напомню команду

update-manager -d

Как обычно, при запуске обновления, было выведено предупреждение о количестве заменяемых/удаляемых/добавляемых пакетов:
Отмечу, что большинство удаляемых пакетов и тех, поддержка которых больше не производится, связано с Gnome 2: основные файлы, апплеты, gdebi, gconf-editor  и т.п.
После установки
По завершению обновления мне было предложено перезагрузиться, что я и сделал.  Хотя в Ubuntu 11.10  по умолчанию используется в качестве менеджера входа  lightdm вместо gdm и kdm, смена моего kdm (да, я не ошибся — о причинах использования именно kdm в 11.04 расскажу чуть ниже) на lightdm не произошла. Возможно, причиной этому послужило наличие lightdm у меня в системе (я использовал нестабильную версию из ppa, которая после обновления с 0.4.х до 0.9.х работать перестала). Поэтому я воспользовался следующей командой и переустановил рекомендуемый в Ubuntu 11.10 lightdm (уже версии 1.0.1)
sudo aptitude reinstall lightdm
Сразу скажу, что lightdm 1.0.1 вполне работоспособность (и уже сильно напоминает gdm внешне), однако, в моей системе «монитор+ТВ» он, как и ранее (и как gdm) упрямо выводит окно логина на телевизор (безошибочно выводил окно для логина лишь kdm — вот причина его использования мною в прошлом в сочетании с xfce). Однако, не составляет труда выбрать логин и пароль «вслепую», так что пока я остался с новым lightdm.
Возвращаясь к первому впечатлению, хочу отметить, что произошли едва заметные (но при этом ощущаемые) изменения в прорисовке шрифтов, пиктограмм, элементов оформления: цвета стали насыщеннее, ряд программ изменил свои значки (например, terminal; значок  skype оброс «ушками» и стал напоминать своего собрата из Windows), так же изменилось оформление отдельных графических элементов системы; тот же skype изменил шрифт для контакт-листа.  При этом, сам XFCE остался такой же версии (4.8), как и в Ubuntu 11.04.
Изменения в составе пакетов
Как уже было сказано выше, при обновлении до  11.10 было удалено много пакетов, связанный с Gnome 2. Однако этим список не ограничился. Пожалуй, наиболее удивило меня удаление интернет-мессенджера Pidgin. Следует отметить, что после повторной установки из репозитория Pidgin заработал как и раньше: ни конфликтов, ни зависимости от значительного количества пакетов, замечено не было.
Частично пострадал и торрент-клиент Deluge: был оставлен лишь пакет deluge-gtk, тогда как «классическое» ядро deluge (справедливости ради, стоит отметить, тянувшее за собой еще целый ряд пакетов) было удалено. Эта проблема также решилась ручной установкой.
Отказ от Gnome 2 привел к отказу от апплетов Gnome и, соответственно, ранее используемому пакету для поддержки апплетов Gnome в XFCE  — xfce4-xfapplet-plugin (более не доступен в репозиториях). Несколько огорчила невозможность использовать по этой причине привычный и удобный регулятор громкости с миксером из Gnome с комфортным переключением устройств. xfce4-mixer  меня ну никак не устраивал. Но альтернатива нашлась, стоило вспомнить о такой утилите, как pavucontrol:
 Замена xfce4-mixer на pavucontrol решило проблему.
Есть и весьма приятные изменения в ситуации с пакетами: так, pidgin вновь полноценно отображает значки со статусом на панели (о проблеме в 11.04 читайте здесь), а gCDEmu теперь стал отдельным GTK-приложением,  а не апплетом Gnome, как ранее, и вновь работает корректно в Xubuntu.
В Xubuntu 11.10 теперь по умолчанию используется текстовый редактор leafpad (который заметно улучшился в последнее время, и напомним, ранее считался стандартным редактором для среды LXDE в Lubuntu) вместо mousepad ранее; установился при обновлении, но mousepad удален не был.
Кроме того, были установлены рекомендуемые для Xubuntu пакеты, которыми я не пользовался и удалял после установки 11.04, среди которых, например, плееры gmusicbrowser и Parole. Эти «чужаки» были нещадно мною удалены при обнаружении.
Бета удалась
К Beta 2 Ubuntu 11.10 в этот раз у меня нареканий меньше, чем к аналогичной beta 2 версии полгода назад у Ubuntu 11.04. За сутки работы я не нашел полностью неработоспособных приложений, кроме, пожалуй, «Источников приложений» (software-properties-gtk), который выдавал ошибку при попытке внести изменения в список репозиториев, однако разработчикам о проблеме известно, и не возникает сомнений, что к финальному релизу она будет исправлена. Пару-тройке раз появлялись сообщения о сбоях приложений (в Opera и  Firefox при перехвате файлов сторонними программами, однако к прерыванию работы браузеров это не приводило (возможно, «ложная тревога»), и один раз «вылетел» Pidgin при настройке стороннего плагина, что можно считать несущественным для бета-версии.
Ну и как всегда при выходе новой версии, пользователи, которые привыкли использовать сторонние PPA, сталкиваются с тем, что пакеты для oneiric во многих PPA пока отсутствуют. Однако, учитывая то, что в системе уже и так содержатся практически самые новые версии пакетов, и что в большинстве случаев можно «представиться» предыдущей версией, это проблемой считать нельзя. Да и как показывает практика, примерно в течение месяца, пакеты для нового дистрибутива появляются практически во всех обновляемых авторами PPA. Повторю, что обнаружить нерабочие пакеты из старых PPA (как в случае с CDEmu при обновлении с 10.10 на 11.04) в этот раз  мне не удалось.
Вместо послесловия
Canonical уверенно движется своим путём, но  на небольшом удалении от «дорог» других Linux-дистрибутивов. И всё же окончательный отказ от Gnome 2, использование lightdm, Unity (от которого часть пользователей в ужасе, а другая — в восторге) и озвученные планы на будущее (например, замена X-server на Wayland) подтверждает наличие собственного видения будущего Linux компанией.
А для поклонников классического Gnome предлагаю небольшой «trick», который мне встретился на просторах Интернет по установке Gnome 2 в Ubuntu 11.10
sudo apt-get install gnome-session-fallback

После инсталляции этого пакета вход в Gnome 2  по пункту Gnome classic ввыборе сессий 😉

"Даунгрейд" или Понижаем версию deb-пакета

Если вы являетесь активным пользователям Ubuntu и используете сторонние ppa или же отдельно взятые пакеты, рано или поздно, при установке или сборке нового пакета, вы можете столкнуться с проблемой, когда уже имеющиеся в системе пакеты не позволяют установить новый. Это может происходить в ситуации, когда устанавливаемый пакет зависит от других, устаревших, или же в случае, когда зависимости этого пакета планировались исходя из состава «родного» репозитория Canonical, тогда как версии, установленные из  сторонних ppa или вручную оказываются слишком «свежими».
Банальным решением является удаление «конфликтного» пакета вручную, удаления (или отключения) ссылки на репозиторий, откуда был установлен «свежий» пакет и повторная установка из репозиториев Canonical.
Однако это решение, во-первых, не очень изящное, а во-вторых, не всегда подходит, например, в случае, когда от удаляемого пакета зависит чуть ли не вся система.

В этом случае нам поможет явное указание более старой версии при установке.
Посмотреть доступные версии в репозиториях мы можем при помощи команды

apt-cache showpkg имя_пакета

в разделе  Provides: 

Например, у меня в системе команда

apt-cache showpkg vlc

сообщит о таком:

Provides:
1.1.11-1~getdeb1 — mp3-decoder
1.1.9-1ubuntu1.3 — mp3-decoder
1.1.9-1ubuntu1 — mp3-decoder
1.0.6-1~getdeb1 — mp3-decoder

а  

apt-cache showpkg audacity

выдаст

Provides:
1.3.13+svn20110917+r6859-0~natty1 —
1.3.13-3ubuntu1 —
1.3.12~beta-1~getdeb2

Зная доступные в репозиториях версии, мы можем указать их при установке явно, при  помощи знака = после имени пакета.
Например,
sudo aptitude install vlc=1.1.9-1ubuntu1
или же,

sudo apt-get install audacity=1.3.13-3ubuntu1